org.apache.fop.fonts

## Class FontAdder

- java.lang.Object
- - org.apache.fop.fonts.FontAdder

    public class FontAdder
    extends Object

Adds a list of fonts to a given font info list

### Constructor Summary

Constructors
Constructor and Description
`FontAdder(FontManager manager, InternalResourceResolver resourceResolver, FontEventListener listener)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(List<URL> fontURLList, List<EmbedFontInfo> fontInfoList)` Iterates over font url list adding to font info list

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FontAdder

    public FontAdder(FontManager manager,
                     InternalResourceResolver resourceResolver,
                     FontEventListener listener)

Main constructor

Parameters:
  `manager` - a font manager
  `resourceResolver` - a font resolver
  `listener` - a font event handler

### Method Detail

#### add

    public void add(List<URL> fontURLList,
                    List<EmbedFontInfo> fontInfoList)
             throws URISyntaxException

Iterates over font url list adding to font info list

Parameters:
  `fontURLList` - font file list
  `fontInfoList` - a configured font info list
Throws:
  `URISyntaxException` - if a URI syntax error is found